Subject: Re: [PATCH] wireless: make WEXT_SPY and WEXT_PRIV select WEXT_CORE

From: Johannes Berg <[email-masked]>
Date: Fri, 09 Oct 2009 18:14:06 +0200

On Fri, 2009-10-09 at 09:06 -0700, Randy Dunlap wrote:

> >  menuconfig WLAN
> >  	bool "Wireless LAN"
> >  	depends on !S390
> > +	select WIRELESS
> >  	default y
> >  	---help---
> >  	  This section contains all the pre 802.11 and 802.11 wireless
> 
> 
> I suppose that's OK, although I prefer "depends" rather than "select".

I tend to as well, but in this case the WIRELESS itself is just an
option that makes other options invisible, it's not used elsewhere, and
as such I think this is ok -- why hide the wireless drivers unless the
user first selects the wireless core options?

OTOH, you already need to select cfg80211/mac80211 for most drivers, so
I suppose "depends on WIRELESS" would be ok too.

> I tracked down one of the problems that I was seeing:
> 
> net/wireless/wext-priv.c:206: error: implicit declaration of function 'call_commit_handler'
> 
> with:
> # CONFIG_WIRELESS is not set
> CONFIG_WIRELESS_EXT=y
> CONFIG_WEXT_PRIV=y
> 
> This is being caused by several drivers in drivers/staging/ doing
> 	select WEXT_PRIV
> without using either enough dependencies or even more (ugly) selects.
> (or just because kconfig isn't sufficient)

Hah, staging/, well, that's kinda hard to solve I guess. Except by
fixing all the staging/ drivers to depend on WIRELESS too, like the
patch would do for the regular drivers.

I think you can get the same effect now with the non-staging drivers.
I'll submit this patch formally and ask John to include it, and staging/
can just depend on WIRELESS.

johannes